Query employee roles
curl --request POST \
--url https://sandbox.tight.com/v6/templates/employeeRoles/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "NAME"
},
"filter": {
"status": {
"in": [],
"notIn": []
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/templates/employeeRoles/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": { "orderBy": "NAME" },
"filter": { "status": {
"in": [],
"notIn": []
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {orderBy: 'NAME'},
filter: {status: {in: [], notIn: []}}
})
};
fetch('https://sandbox.tight.com/v6/templates/employeeRoles/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"data": [
{
"id": "empr_12345",
"name": "Full Access",
"accessLevel": "READ_WRITE",
"status": "ACTIVE"
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Employee Roles
Query employee roles
Query the employee roles available to grant to employees. Each employee role’s access level defines the api access that will be granted to employees associated with the employee role.
POST
/
v6
/
templates
/
employeeRoles
/
query
Query employee roles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes